###############################################################################
# Simple Demo-File for the presentation at the CLT 2009
# Date: 15.03.2009
#
# Author: Janko Dietzsch
###############################################################################
#
#	Source it into your session and press subsequently "Return"
#


demo.simple.session <- function(sample.size1 = 100, sample.size2 = 80, shift = 10, sel.sd = 7) {
	
	sample.one <- rnorm(sample.size1)
	
	hist(sample.one)
	
	hist(sample.one, freq = F, breaks = 20)
	
	lines(density(sample.one), lwd = 2, col = "red")
	
	sample.two <- rnorm(sample.size2, mean = shift, sd = sel.sd)
	
	boxplot(sample.two,sample.one)
	
	par.test <- t.test(sample.one,sample.two,
			alternative = "two.sided", 
			paired = FALSE, var.equal = FALSE,
			conf.level = 0.95,)
	
	# Nicht wirklich nötig:
	
	vertlfr.test <- wilcox.test(sample.one,sample.two,
			alternative = "two.sided", paired = FALSE, 
			exact = TRUE, correct = TRUE,
			conf.int = FALSE, conf.level = 0.95)

	
	# Einfache Regression:
	
	x <- runif(sample.size1, min = -10, max = 30)
	
	y <- 5 * x + 3 + rnorm(sample.size1,sd = sel.sd)
	
	plot(x, y)
	
	fit.lm <- lm(y ~ x)
	
	summary(fit.lm)

	gr.op <- par(mfrow = c(2,2))
	plot(fit.lm)
	par(gr.op)
	
	x.pred <- data.frame(x = 
					seq(min(x),max(x),
						by = diff(range(x))/(2*sample.size1)))

	pred.clim <- predict(fit.lm, x.pred, interval="confidence")

	pred.plim <- predict(fit.lm, x.pred, interval="prediction")
	
	plot(x, y)
	matlines(x.pred$x,cbind(pred.clim, pred.plim[,-1]),
		lty=c(1,2,2,4,4), col = c("black","red","red","blue","blue"), 
		type="l")

	invisible(NULL)
}

debug(demo.simple.session)
demo.simple.session()
